Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Oct 2009 10:45:19 -0400

>> Yes, such programming should be fixed.  Fixing requires making it
>> possible for the application to say what it wants in some other way
>> (more precise) than by rebinding those vars.  Things like `same-window'
>> is precisely designed for such uses.

> I suppose you mean 'same-window as possible value of NOT-THIS-WINDOW
> here.  Overriding the values of customized variables is problematic.

It would not override settings in special-display-buffer-names.

        Stefan